<?php
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."ap_articles/infusion_db.php";

if (!checkrights("APAC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ap_articles/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ap_articles/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ap_articles/locale/English.php";
}
include LOCALE.LOCALESET."admin/downloads.php";
include LOCALE.LOCALESET."admin/article-cats.php";
require_once ADMIN."navigation.php";



if (!checkrights("DC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("../index.php");

if (isset($_GET['cat_id']) && !isNum($_GET['cat_id'])) redirect(FUSION_SELF.$aidlink);



if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['410'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['411'];
	} elseif ($_GET['status'] == "deln") {
		$message = $locale['412']."<br />\n<span class='small'>".$locale['413']."</span>";
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['414'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}




if (isset($_GET['step']) && $_GET['step'] == "delete") {

        $result = dbquery("SELECT * FROM ".DB_AP_ARTICLE_CATS." WHERE article_cat_idc='".$_GET['cat_id']."'");

        if (dbrows($result) != 0) {

                redirect(FUSION_SELF.$aidlink."&status=delc");
        }else{

       $result = dbquery("SELECT * FROM ".DB_AP_ARTICLES." WHERE article_cat='".$_GET['cat_id']."'");

        if (dbrows($result) != 0) {

                redirect(FUSION_SELF.$aidlink."&status=deln");

        } else {

                $result = dbquery("DELETE FROM ".DB_AP_ARTICLE_CATS." WHERE article_cat_id='".$_GET['cat_id']."'");

                redirect(FUSION_SELF.$aidlink."&status=dely");

        }

        }

} else {

        if (isset($_POST['save_cat'])) {

                $cat_name = stripinput($_POST['cat_name']);
                $cat_url = stripinput($_POST['cat_url']);

                $cat_description = stripinput($_POST['cat_description']);

                $cat_access = isNum($_POST['cat_access']) ? $_POST['cat_access'] : "0";

                $cat_sorting = stripinput($_POST['cat_sort_by'])." ".stripinput($_POST['cat_sort_order']);

                $cat_idcat = $_POST['cat_idc'];

                if (isset($_GET['step']) && $_GET['step'] == "edit") {

                        $result = dbquery("UPDATE ".DB_AP_ARTICLE_CATS." SET article_cat_idc='$cat_idcat', article_cat_name='$cat_name', article_cat_url='$cat_url', article_cat_description='$cat_description', article_cat_sorting='$cat_sorting', article_cat_access='$cat_access' WHERE article_cat_id='".$_GET['cat_id']."'");

                } else {

                        $result = dbquery("INSERT INTO ".DB_AP_ARTICLE_CATS." VALUES('', '$cat_idcat', '$cat_name', '$cat_url', '$cat_description', '$cat_sorting', '$cat_access')");

                }

                redirect(FUSION_SELF.$aidlink);

        }

        if (isset($_GET['step']) && $_GET['step'] == "edit") {

                $result = dbquery("SELECT * FROM ".DB_AP_ARTICLE_CATS." WHERE article_cat_id='".$_GET['cat_id']."'");

                $data = dbarray($result);

                $cat_name = $data['article_cat_name'];
				$cat_url = $data['article_cat_url'];

                $cat_description = $data['article_cat_description'];

                $cat_sorting = explode(" ", $data['article_cat_sorting']);

                $cat_access = $data['article_cat_access'];

                $formaction = FUSION_SELF.$aidlink."&step=edit&amp;cat_id=".$data['article_cat_id'];

                $result = dbquery("SELECT * FROM ".DB_AP_ARTICLE_CATS." WHERE article_cat_id='".$data['article_cat_id']."'");

                $data = dbarray($result);

                $cat_idcat = $data['article_cat_idc'];

                opentable($locale['401']);

        } else {

                $cat_name = "";
                $cat_url = "";

                $cat_description = "";

                $cat_sorting[0] = "article_subject";

                $cat_sorting[1] = "ASC";

                $cat_access = "";

                $formaction = FUSION_SELF.$aidlink;

                $cat_idcat = 0;

                opentable($locale['400']);

        }

        $user_groups = getusergroups(); $access_opts = ""; $sel = "";

        while(list($key, $user_group) = each($user_groups)){

                $sel = ($cat_access == $user_group['0'] ? " selected" : "");

                $access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";

        }

$ed=$locale['443'];

$del = $locale['444'];

function catTekush ($cats_id, $chort = ''){

global $db_prefix, $cell_color,$ed,$del, $aidlink;

if ($cats_id!=0){$chort.='-';}

$result2 = dbquery("SELECT * FROM ".DB_AP_ARTICLE_CATS." WHERE article_cat_idc='".$cats_id."' ORDER BY article_cat_id ASC");

           while ($data2 = dbarray($result2)) {

            echo "<tr>

                   <td class='$cell_color'><b>$chort ".$data2['article_cat_name']."<b><br>

                   <span class='small'>".trimlink($data2['article_cat_description'], 45)."</span></td>

                   <td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($data2['article_cat_access'])."</td>

                   <td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&step=edit&amp;cat_id=".$data2['article_cat_id']."'>".$ed."</a> -

                   <a href='".FUSION_SELF.$aidlink."&step=delete&amp;cat_id=".$data2['article_cat_id']."'>".$del."</a></td>

                   </tr>\n";

            catTekush($data2['article_cat_id'],$chort);

            }

}

        echo "<form name='addcat' method='post' action='$formaction' onsubmit='return ValidateForm(this);'>

<table align='center' cellpadding='0' cellspacing='0' width='400'>

<tr>

<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['420']."</td>

<td class='tbl'><input type='text' name='cat_name' value='$cat_name' class='textbox' style='width:200px;'></td>

</tr>

<tr>

<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['421']."</td>

<td class='tbl'><input type='text' name='cat_description' value='$cat_description' class='textbox' style='width:250px;'></td>

</tr>

<tr>

<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['422']."</td>

<td class='tbl'><select name='cat_sort_by' class='textbox'>

<option value='article_id'".($cat_sorting[0] == "article_id" ? " selected" : "").">".$locale['423']."</option>

<option value='article_subject'".($cat_sorting[0] == "article_subject" ? " selected" : "").">".$locale['424']."</option>


<option value='article_datestamp'".($cat_sorting[0] == "article_datestamp" ? " selected" : "").">".$locale['425']."</option>

</select> -

<select name='cat_sort_order' class='textbox'>

<option value='ASC'".($cat_sorting[1] == "ASC" ? " selected" : "").">".$locale['426']."</option>

<option value='DESC'".($cat_sorting[1] == "DESC" ? " selected" : "").">".$locale['427']."</option>

</select></td>

</tr>

<tr>

<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['428']."</td>

<td class='tbl'><select name='cat_access' class='textbox' style='width:150px;'>

$access_opts</select></td>

</tr>
<tr>

<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['parent_cat']."</td>

<td class='tbl'>

<select name='cat_idc' class='textbox' style='width:150px;' >

<option value='0'".($cat_idcat == 0 ? " selected" : "").">General</option>";

function catSelect($cats_id = 0, $chort = ''){

global $db_prefix, $cat_idcat ;

if ($cats_id!=0){$chort.='-';}

$result2 = dbquery("SELECT * FROM ".DB_AP_ARTICLE_CATS." WHERE article_cat_idc='".$cats_id."' ORDER BY article_cat_id ASC");

while ($data2 = dbarray($result2)) {

      echo "<option value='".$data2['article_cat_id']."'".($cat_idcat == $data2['article_cat_id'] ? " selected" : "").">$chort ".$data2['article_cat_name']."</option>";

      catSelect($data2['article_cat_id'], $chort);

}

}

catSelect();

echo "</select></td>

</tr>
<tr>

<td width='1%' class='tbl' style='white-space:nowrap'>URL</td>

<td class='tbl'><input type='text' name='cat_url' value='$cat_url' class='textbox' style='width:200px;'></td>

</tr>
<tr>

<td align='center' colspan='2' class='tbl'>

<input type='submit' name='save_cat' value='".$locale['429']."' class='button'></td>

</tr>

</table>

</form>\n";

        closetable();

        opentable($locale['440']);

        echo "<table align='center' width='400' cellspacing='1' cellpadding='0' class='tbl-border'>\n";

        $result = dbquery("SELECT * FROM ".DB_AP_ARTICLE_CATS." WHERE article_cat_idc='0' ORDER BY article_cat_id ASC");

        if (dbrows($result) != 0) {

                $i = 0;

                echo "<tr>

<td class='tbl2'>".$locale['420']."</td>

<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['441']."</td>

<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['442']."</td>

</tr>\n";

                while ($data = dbarray($result)) {

                        $cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");

                        echo "<tr>

<td class='$cell_color'><b>".$data['article_cat_name']."</b><br>

<span class='small'>".trimlink($data['article_cat_description'], 45)."</span></td>

<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($data['article_cat_access'])."</td>

<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&step=edit&amp;cat_id=".$data['article_cat_id']."'>".$locale['443']."</a> -

<a href='".FUSION_SELF.$aidlink."&step=delete&amp;cat_id=".$data['article_cat_id']."'>".$locale['444']."</a></td>

</tr>\n";



catTekush($data['article_cat_id'],'');


                        $i++;

                }

                echo "</table>\n";

        } else {

                echo "<tr><td align='center' class='tbl1'>".$locale['445']."</td></tr>\n</table>\n";

        }

        closetable();
	echo "<script type='text/javascript'>\n";
	echo "function ValidateForm(frm) {\n"."if(frm.cat_name.value=='') {\n";
	echo "alert('".$locale['420']."');\n"."return false;\n}\n}\n</script>\n";

}


require_once THEMES."templates/footer.php";
?>